package cmm.service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import cmm.util.CmmVO;

@SuppressWarnings("serial")
public class CmmExtWebzineSubscribeVO extends CmmVO {
	
	private String id = "";
	private String email = "";
	private Date createDt = null;
	private String useAt = "";
	List<String> contentIdList;
	
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}	
	public Date getCreateDt() {
		return createDt;
	}
	public void setCreateDt(Date createDt) {
		this.createDt = createDt;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}

	public List<String> getContentIdList() {
		List<String> ret = null;
		if(this.contentIdList != null){
			ret = new ArrayList<String>(); 
			ret = this.contentIdList;
		}
		return ret;
	}
	
	public void setContentIdList(List<String> contentIdList) { 
		this.contentIdList = new ArrayList<String> (contentIdList.size()); 
		for(int i=0; i<contentIdList.size(); ++i) {
			this.contentIdList.add(i, contentIdList.get(i)); 
		}
	}
	
	
}
